' --------------------------------------------------------------------------
'
' Ampel.VBS                                           Ulrich Mller 21.11.99
'                                                     Procida 400NT  VBS 5.1
' Simulation einer Verkehrsampel
' Die einzelnen Lampen werden ber SetMotor geschaltet,
' fr die erforderlichen Werte wurden als symbolische Konstanten verwendet
'
' Systemanforderungen     : Windows Scripting Host (bei Win98 Standard)
'                           fischertechnik Interface (eingestellt :
'                           serielles an COM1 -> ft.OpenInterface
' zustzlich erforderlich : FishF532.clsFishFace (FishF532.DLL), MSVBVM50.DLL
'                           Registrieren mit regsvr32.EXE FishF532.DLL 
'                           regsvr32.EXE /u FishF532.DLL aufheben der Registrierung
'                           ggf. Pfadangabe machen. Siehe auch Readme.TXT
' Alternativ Fish632.DLL (wenn schon installiert oder nur MSVBVM60.DLL
'   vorhanden. Dann CreateObject entsprechend anpassen.
'
' --------------------------------------------------------------------------

Option Explicit

Const cLampeRot = 3, cLampeGelb = 2, cLampeGruen = 1
Const cLampeAus = 0, cLampeEin = 1
Const ftiFehler = &HFFFF
Dim ft, i

If MsgBox("Ampel starten?", vbOKCancel + vbInformation, "ftAmpel.VBS") _
           = vbCancel then WScript.Quit
Set ft = CreateObject("FishF532.clsFishFace")
If ft.OpenInterface("COM1") = ftiFehler then
  MsgBox "Da gibt es noch ein Interfaceproblem, eingeschaltet?, angesteckt?", _
     vbOKOnly + vbInformation, "ftAmpel.VBS"
  WScript.Quit
End If

For i = 1 to 3
  ft.SetMotor cLampeGruen, cLampeAus
  ft.SetMotor cLampeGelb,  cLampeEin
  ft.WaitForTime 300
  ft.SetMotor cLampeGelb,  cLampeAus
  ft.SetMotor cLampeRot,   cLampeEin
  ft.WaitForTime 1000
  ft.SetMotor cLampeGelb,  cLampeEin
  ft.WaitForTime 300
  ft.SetMotor cLampeRot,   cLampeAus
  ft.SetMotor cLampeGelb,  cLampeAus
  ft.SetMotor cLampeGruen, cLampeEin
  ft.WaitForTime 800
Next
ft.ClearMotors
ft.CloseInterface
Set ft = Nothing
